Retorna os metadados de um provedor de identidade na federação especificada. Para usar esse recurso, a conta de serviço ou chave de API solicitante deve ter a função de proprietário da organização em uma das organizações conectadas.
String exclusiva de 24 dígitos hexadecimais que identifica sua federação.
O formato deve corresponder ao seguinte padrão: ^([a-f0-9]{24})$.
String legada com 20 dígitos hexadecimais que identifica o provedor de identidade. Essa ID pode ser encontrada na guia Console de Gerenciamento de Federação > Provedores de Identidade, clicando no ícone de informações na linha ID do IdP de um provedor de identidade configurado.
O formato deve corresponder ao seguinte padrão: ^([a-f0-9]{20})$.
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/federationSettings/55fa922fb343282757d9554e/identityProviders/c2777a9eca931f29fc2f/metadata.xml' \
--header "Authorization: Bearer $ACCESS_TOKEN"
string
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 405,
"errorCode": "ATLAS_BACKUP_CANCEL_SHARD_RESTORE_JOB_NOT_ALLOWED",
"reason": "Method Not Allowed"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}